# $Revision: 1.35 $, $Date: 2010/11/25 20:51:20 $
Summary:	An interface for SELinux management
Summary(pl.UTF-8):	Interfejs do zarządzania SELinuksem
Name:		libsemanage
Version:	2.0.45
Release:	3
License:	LGPL v2.1+
Group:		Libraries
#git clone http://oss.tresys.com/git/selinux.git
Source0:	http://userspace.selinuxproject.org/releases/current/devel/%{name}-%{version}.tar.gz
# Source0-md5:	f3ca65a97e919894ffa3252c9849038a
URL:		http://userspace.selinuxproject.org/trac/wiki
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	flex
BuildRequires:	libselinux-devel >= 2.0.0
BuildRequires:	libsepol-devel >= 2.0.37
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	ustr-devel
Requires:	libselinux >= 2.0.0
Requires:	libsepol >= 2.0.37
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface for SELinux management.

%description -l pl.UTF-8
Interfejs do zarządzania SELinuksem.

%package devel
Summary:	Header files for libsemanage library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsemanage
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for libsemanage library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libsemanage.

%package static
Summary:	Static version of libsemanage library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libsemanage
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libsemanage library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libsemanage.

%package -n python-semanage
Summary:	Python binding for semanage library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki semanage
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-semanage
Python binding for semanage library.

%description -n python-semanage -l pl.UTF-8
Wiązania Pythona do biblioteki semanage.

%prep
%setup -q

%build
%{__make} -j1 all pywrap \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -fno-strict-aliasing"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-pywrap \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	SHLIBDIR=$RPM_BUILD_ROOT/%{_lib} \
	DESTDIR=$RPM_BUILD_ROOT

# make symlink across / absolute
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libsemanage.so.*) \
	$RPM_BUILD_ROOT%{_libdir}/libsemanage.so

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) /%{_lib}/libsemanage.so.*
%dir %{_sysconfdir}/selinux
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/selinux/semanage.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsemanage.so
%{_pkgconfigdir}/libsemanage.pc
%{_includedir}/semanage
%{_mandir}/man3/semanage_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsemanage.a

%files -n python-semanage
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_semanage.so
%{py_sitedir}/semanage.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsemanage.spec,v $
Revision 1.35  2010/11/25 20:51:20  hawk
- release 3

Revision 1.34  2010/07/09 11:19:16  arekm
- release 2

Revision 1.33  2010/06/21 06:43:44  qboosh
- updated to 2.0.45

Revision 1.32  2010/01/20 07:24:09  amateja
- updated to 2.0.43

Revision 1.31  2009/10/06 17:04:22  amateja
- updated to 2.0.39

Revision 1.30  2009/09/21 08:48:43  amateja
- updated to 2.0.38

Revision 1.29  2009/09/08 09:43:06  amateja
- updated to 2.0.37

Revision 1.28  2009/08/30 07:42:19  qboosh
- BR: bzip2-devel

Revision 1.27  2009/08/20 08:09:58  amateja
- updated to 2.0.35

Revision 1.26  2009/06/04 06:58:24  amateja
- updated to 2.0.32

Revision 1.25  2009/05/11 07:54:31  amateja
- updated to 2.0.31

Revision 1.24  2009/03/27 20:46:51  arekm
- up to 2.0.27

Revision 1.23  2009/03/14 12:10:11  hawk
- release 3

Revision 1.22  2008/10/08 08:34:07  arekm
- release 2

Revision 1.21  2008/09/10 20:45:46  qboosh
- updated to 2.0.35
- compile python module

Revision 1.20  2008/04/02 19:45:10  zbyniu
- up to 2.0.24

Revision 1.19  2007-11-29 18:32:01  tommat
- broken parallel build

Revision 1.18  2007-10-01 00:17:22  zbyniu
- up to 2.0.9

Revision 1.17  2007/04/01 00:29:15  arekm
- up to 2.0.1

Revision 1.16  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:04  baggins
- converted to UTF-8

Revision 1.14  2007/01/27 23:58:21  zbyniu
- up to 1.10.0

Revision 1.13  2006/10/31 22:57:00  qboosh
- updated to 1.8
- own /etc/selinux dir

Revision 1.12  2006/03/19 12:15:53  qboosh
- updated to 1.6

Revision 1.11  2005/12/22 11:28:30  qboosh
- versioned runtime deps too

Revision 1.10  2005/12/22 11:27:01  qboosh
- BR new libsepol-devel too

Revision 1.9  2005/12/22 11:24:00  pluto
- amd64 install fix, release 2.

Revision 1.8  2005/12/22 11:04:35  pluto
- BR: libselinux-devel >= 1.28, to avoid undefined refs.
  (src/semanage_store.o: undefined reference to `selinux_usersconf_path'
   src/semanage_store.o: undefined reference to `selinux_path').

Revision 1.7  2005/12/21 23:11:01  qboosh
- updated to 1.4, removed outdated printf_format patch

Revision 1.6  2005/09/27 01:39:59  pluto
- amd64 install fixed, release 2.

Revision 1.5  2005/09/27 01:32:35  pluto
- BR libsepol-devel, printf format patch (x86-64).

Revision 1.4  2005/09/22 21:20:15  qboosh
- no ldconfig

Revision 1.3  2005/09/22 21:17:12  qboosh
- fixed files; no shared lib yet
- BR: flex,bison

Revision 1.2  2005/09/22 21:10:01  qboosh
- pl

Revision 1.1  2005/09/22 16:04:26  arekm
- raw
